org.eclipse.actf.visualization.util.html2view

## Class Html2ViewMapData

- java.lang.Object
- - org.eclipse.actf.visualization.util.html2view.Html2ViewMapData

    public class Html2ViewMapData
    extends Object

Utility class to store line number and column information of element

### Field Summary

Fields
`static String` `ACTF_ID` ACTF_ID

### Constructor Summary

Constructors
Constructor and Description
`Html2ViewMapData(int[] start, int[] end)` Constructor of the class

### Method Summary

Methods
`int[]` `getEnd()` Get end position of the element
`int` `getEndColumn()` Get end column of the element
`int` `getEndLine()` Get end line number of the element
`int[]` `getStart()` Get start position of the element
`int` `getStartColumn()` Get start column of the element
`int` `getStartLine()` Get start line number of the element
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ACTF_ID

    public static final String ACTF_ID

ACTF_ID

See Also:
  Constant Field Values

### Constructor Detail

#### Html2ViewMapData

    public Html2ViewMapData(int[] start,
                    int[] end)

Constructor of the class

Parameters:
  `start` - start position information [line, column] of corresponding element
  `end` - end position information [line, column] of corresponding element

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getEnd

    public int[] getEnd()

Get end position of the element

Returns:
  end position [line, column]

#### getStart

    public int[] getStart()

Get start position of the element

Returns:
  start position [line, column]

#### getStartLine

    public int getStartLine()

Get start line number of the element

Returns:
  start line number

#### getEndLine

    public int getEndLine()

Get end line number of the element

Returns:
  end line number

#### getStartColumn

    public int getStartColumn()

Get start column of the element

Returns:
  column

#### getEndColumn

    public int getEndColumn()

Get end column of the element

Returns:
  column